import defaultLocale from '../../locales/ru.json';
import { CreateTree } from '../lib';

type LanguageResource = CreateTree<keyof typeof defaultLocale>;

declare module "i18next" {
  interface CustomTypeOptions {
    resources: {
      '~': LanguageResource
    }
  }
}